<div>
  <div style="background: rgb(212, 212, 212); padding: 10px; float: left">
    <div>
      <canvas #selectionfield (mousedown)="hoverSelectField($event)" (mousemove)="hoverSelectField($event)" style="width: 300px; border-style: solid; border-width: 1px; border-radius: 4px;"></canvas>
    </div>
    <div>
      <canvas #colorselection (click)="hoverColorField($event)" (mousemove)="hoverColorField($event)" style="height: 20px; width: 300px; margin-top: 10px;"></canvas>
    </div>
    <div style="width: 300px; height: 100%; float: left; padding: 10px; border-style: solid; border-width: 1px; border-radius: 4px;" [style.background]="colorString">
        <div style="background: rgba(0, 0, 0, 0); text-align: center;">
            <p style="font-size: 18px; margin: 0px;" [innerHTML]="rgbText" [style.color]="textColor"></p>
        </div>
      </div>
  </div>
</div>
